 

import unit4.ioLib.IO;

public class TestFileSystem 
{
	public static void main(String[] args) 
	{
		Folder homeFolder = new Folder("HomeFolder");
		
		homeFolder.addFile(new File("a.txt",200));
		homeFolder.addFile(new File("b.gif",134));
		homeFolder.addFile(new File("d.exe",1027));
		Folder sub0 = homeFolder.createEmptySubFolder("MyDocs");
		sub0.addFile(new File("cv.doc",34));
		sub0.addFile(new File("test1.doc",34));
		sub0.addFile(new File("test2.doc",34));
		sub0.addFile(new File("email.doc",34));
		Folder sub1 = homeFolder.createEmptySubFolder("Java");
		sub1.addFile(new File("File.java",45));
		sub1.addFile(new File("Folder.java",245));
		sub1.addFile(new File("TestFileSystem.java",90));
		Folder sub2 = sub1.createEmptySubFolder("Applets");
		sub1.createEmptySubFolder("Abcde");
		sub2.addFile(new File("game.class",3002));
		sub2.addFile(new File("run.class",930));
		
		IO.println(getFolderPath(homeFolder, "game.class"));
	}
	
	/*
	 * public List search(Node startNode, Node goalNode) {
  // list of visited nodes
  LinkedList closedList = new LinkedList();
  
  // list of nodes to visit (sorted)
  LinkedList openList = new LinkedList();
  openList.add(startNode);
  startNode.pathParent = null;
  
  while (!openList.isEmpty()) {
    Node node = (Node)openList.removeFirst();
    if (node == goalNode) {
      // path found!
      return constructPath(goalNode);
    }
    else {
      closedList.add(node);
      
      // add neighbors to the open list
      Iterator i = node.neighbors.iterator();
      while (i.hasNext()) {
        Node neighborNode = (Node)i.next();
        if (!closedList.contains(neighborNode) &&
          !openList.contains(neighborNode)) 
        {
          neighborNode.pathParent = node;
          openList.add(neighborNode);
        }
      }
    }
  }
  
  // no path found
  return null;
}
*/
	public static String getFolderPath(Folder homeFolder, String fileName)
	{	
		boolean res = false;
		
		String path = homeFolder.getName();
		
		Folder[] subFolders = homeFolder.getAllSubFolders();
		for (int i = 0; i < subFolders.length; i++)
		{
			path = homeFolder.getName() + getFolderPath(subFolders[i], fileName);
		}
		
		File[] files = homeFolder.getAllFiles();
		for (int i = 0; i < files.length; i++) 
			if(fileName.compareTo(files[i].getName())==0)
				res = true;	
		
		if(res)
			return(path);
		return(path);
	}
	
}
